class SkipModel {
  String url;
  String requiredLogin;
  String requiredTaobaoAuth;
  String skipIdentifier;

  SkipModel(
      {this.url,
      this.requiredLogin,
      this.requiredTaobaoAuth,
      this.skipIdentifier});

  SkipModel.fromJson(Map<String, dynamic> json) {
    fromJson(json);
  }

  void fromJson(Map<String, dynamic> json) {
    url = json['url'];
    requiredLogin = json['required_login']?.toString();
    requiredTaobaoAuth = json['required_taobao_auth']?.toString();
    skipIdentifier = json['skip_identifier'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['url'] = this.url;
    data['required_login'] = this.requiredLogin;
    data['required_taobao_auth'] = this.requiredTaobaoAuth;
    data['skip_identifier'] = this.skipIdentifier;
    return data;
  }
}
